Name:           utop
Version:        1.18.1
Release:        %mkrel 2
Summary:        An improved toplevel for OCaml
License:        BSD-3-clause
Group:          Development/OCaml
URL:            https://github.com/diml/utop
Source0:        https://github.com/diml/utop/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-lambda-term-devel
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-cppo-devel

%description
Utop is a universal toplevel for OCaml which can run in a terminal or
in emacs. It supports completion, colors, parenthesis matching, ...

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n utop-%{version}

%build
sh configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot} \
    --enable-camlp4

make
make doc
mv _build/utop-api.docdir/ doc

%install
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/utop
make install

%files
%doc README.md LICENSE CHANGES.md utoprc-dark utoprc-light
%{_docdir}/%{name}/api/
%dir %{_libdir}/ocaml/utop
%{_bindir}/utop
%{_bindir}/utop-full
%{_datadir}/emacs/site-lisp/utop.el
%{_libdir}/ocaml/utop/META
%{_libdir}/ocaml/utop/*.cmi
%{_libdir}/ocaml/utop/*.cma
%{_libdir}/ocaml/utop/*.cmxs
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%doc doc/
%doc examples/
%{_libdir}/ocaml/utop/*.a
%{_libdir}/ocaml/utop/*.cmxa
%{_libdir}/ocaml/utop/*.cmx
%{_libdir}/ocaml/utop/*.mli
%{_libdir}/ocaml/utop/*.cmt
%{_libdir}/ocaml/utop/*.cmti
%{_libdir}/ocaml/utop/*.annot


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.18.1-2.mga6
+ Revision: 1056523
- Rebuild for fix in ocaml

* Wed Feb 17 2016 daviddavid <daviddavid> 1.18.1-1.mga6
+ Revision: 963683
- new version: 1.18.1
- update files list for devel subpackage
- add missing BR on ocaml-cppo-devel

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 1.14-3.mga6
+ Revision: 894136
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.14-2.mga5
+ Revision: 742064
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 malo <malo> 1.14-1.mga5
+ Revision: 737476
- update to 1.14

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.5-2.mga4
+ Revision: 531719
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 blue_prawn <blue_prawn> 1.5-1.mga4
+ Revision: 464725
- updated to last version 1.5

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 385200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.2.1-1.mga3
+ Revision: 308602
- update file list
- update to 1.2.1
- update RPM group

* Tue Aug 07 2012 blue_prawn <blue_prawn> 1.2-1.mga3
+ Revision: 279772
- BuildRequires camlp4
- BuildRequires camlp4 and lambda-term
- imported package utop

